Bug 1402923

Summary: help ease transition to new unversioned -devel package names
Product: [Fedora] Fedora Reporter: Jeff Layton <jlayton>
Component: cephAssignee: Boris Ranto <branto>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: bhubbard, branto, david, fedora, ramkrsna, steve
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ceph-10.2.4-1.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-30 09:47:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jeff Layton 2016-12-08 16:13:48 UTC
We currently have a problem with the "legacy" -devel packages that are in Fedora and EPEL.

Recently, the -devel packages in the specfile in ceph mainline had the version numbers stripped from their package names (e.g. libcephfs1-devel became libcephfs-devel). The way the transition was handled was to have the new packages provide the legacy package name (so libcephfs-devel package would also provide libcephfs1-devel).

This works great, as long as the major library version numbers don't change, which just recently occurred with libcephfs. The version there went from 1 to 2.

This is a problem as applications that could build against either now can't make use of the new packages. For instance, nfs-ganesha has a "Requires: libcephfs1-devel", but the mainline packages can't provide that at all now.

The simplest way to fix this would be to just add new Provides: lines in the legacy packages in Fedora and EPEL. Another (more risky?) way would be to simply backport the package name changes. Either way, we'll need this in order to smoothly handle the package name changes and version bumps that are occurring.

Comment 1 Fedora Update System 2016-12-09 10:46:46 UTC
ceph-0.80.7-0.9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d6a4b47c2

Comment 2 Fedora Update System 2016-12-09 10:46:57 UTC
ceph-10.2.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ff53b3a39

Comment 3 Fedora Update System 2016-12-09 10:47:04 UTC
ceph-10.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b03705d78

Comment 4 Fedora Update System 2016-12-10 03:57:31 UTC
ceph-10.2.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ff53b3a39

Comment 5 Fedora Update System 2016-12-10 04:29:01 UTC
ceph-10.2.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b03705d78

Comment 6 Fedora Update System 2016-12-10 05:53:52 UTC
ceph-0.80.7-0.9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d6a4b47c2

Comment 7 Fedora Update System 2016-12-11 19:27:43 UTC
ceph-10.2.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-08-26 12:51:33 UTC
ceph-0.80.7-0.10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a4e3aae817

Comment 9 Fedora Update System 2017-08-27 06:49:39 UTC
ceph-0.80.7-0.10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a4e3aae817

Comment 10 Fedora Update System 2017-09-12 03:49:28 UTC
ceph-0.80.7-0.10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora End Of Life 2018-02-20 15:35:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.